package holo.bolt.entity;

import holo.bolt.entity.hostiles.*;
import holo.bolt.world.World;

public class EntityFactory
{
	public static Entity makeEntity(int id, float[] pos, World world)
	{
		switch(id)
		{
		case 0:
			return new EntityBasicMelee(pos, world);
		case 1:
			return new EntityBasicRanged(pos, world);
		case 2:
			return new EntityStrongMelee(pos, world);
		}
		return null;
	}
}
